[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# InitProc

Initialization routine

## Declaration

Source position: systemh.inc line 700

`const InitProc: CodePointer = Nil;`

## Description

InitProc is a routine that can be called after all units were initialized. It can be set by units to execute code that can be initialized after all units were initialized.

Remark: | When setting the value of InitProc, the previous value should always be saved, and called when the installed initialization routine has finished executing.

## See also

ExitProc |  | Exit procedure pointer.